/*
 *
 * happytimer - Alarm clock for the GNOME
 *
 *  @Copyright (C) 2007-2011 JinCheol Kim (shriekout@gmail.com).
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include <gtk/gtk.h>
#include <gst/gst.h>

#define UI_DIR PACKAGE_DATA_DIR"/happytimer/glade"
#define LOGO_FILE PACKAGE_DATA_DIR"/pixmaps/happytimer/happytimer.png"
#define GREEN_LOGO_FILE PACKAGE_DATA_DIR"/pixmaps/happytimer/happytimer_green.png"
#define PAUSE_IMAGE_FILE PACKAGE_DATA_DIR"/pixmaps/happytimer/happytimer_pause.png"
#define RTSOUND_FILE PACKAGE_DATA_DIR"/sounds/happytimer/00h.ogg"
#define TSOUND_FILE PACKAGE_DATA_DIR"/sounds/happytimer/happytimer.ogg"
#define HOME_DIR g_get_home_dir()
#define XML_FILE "/.happytimer.xml"

#define MAX_TIMER 363599

enum {
	RT_SND,
	ARM_SND,
	PRE_SND,
	SND_NUM
};

struct happytimer {
		gboolean rtsound;		/* regular time sound on/off */
		gboolean tsound;		/* timer sound on/off */
		char *sound_file[SND_NUM];	/* sound file */
		char *timage_file;		/* timer image file */
		int notify_before;
} prefer;

struct var {
	int timer_origin;
	gboolean counting;
	time_t count;
	gboolean pause;
	gboolean repeat;
	char *config_file;
	GstElement *pipeline[SND_NUM];
} varList;

struct presetList {
	char *name;
	int timer;
	struct presetList *next;
};

struct presetList *presetList_head;
